com.lowagie.text.xml.xmp

## Class LangAlt

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - com.lowagie.text.xml.xmp.LangAlt

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

      public class LangAlt
      extends java.util.Properties

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT` Key for the default language.
    `private static long` | `serialVersionUID` A serial version id.

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LangAlt()` Creates a Properties object that stores languages for use in an XmpSchema
    `LangAlt(java.lang.String defaultValue)` Creates a Properties object that stores languages for use in an XmpSchema

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLanguage(java.lang.String language, java.lang.String value)` Add a language.
    `protected void` | `process(java.lang.StringBuffer buf, java.lang.Object lang)` Process a property.
    `java.lang.String` | `toString()` Creates a String that can be used in an XmpSchema.

    - ### Methods inherited from class java.util.Properties

      `getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      A serial version id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final java.lang.String DEFAULT

      Key for the default language.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LangAlt

          public LangAlt(java.lang.String defaultValue)

      Creates a Properties object that stores languages for use in an XmpSchema

    - #### LangAlt

          public LangAlt()

      Creates a Properties object that stores languages for use in an XmpSchema

  - ### Method Detail

    - #### addLanguage

          public void addLanguage(java.lang.String language,
                         java.lang.String value)

      Add a language.

    - #### process

          protected void process(java.lang.StringBuffer buf,
                     java.lang.Object lang)

      Process a property.

    - #### toString

          public java.lang.String toString()

      Creates a String that can be used in an XmpSchema.
      Overrides:
        `toString` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`